#include <bits/stdc++.h>
using namespace std;

long long x, y, razlika;
int i;
string a, b, resenje;

int main()
{
    scanf("%s\n", &a);
    scanf("%s", &b);//Unos brojeva kao stringova

    x = a.size();
    y = b.size();//Uzimaju se velicine stringova
    razlika = abs(x-y);//Poredi im velicine
    if(x < y)
        for(i = 1; i <= razlika; i++)
            a += ' ';//Ako je manje od nule dodaje mu vrednost
                     //space-a po ASCII tabeli
    else
        for(i = 1; i <= razlika; i++)
            b += ' ';//Ako je manje od nule dodaje mu vrednost
                     //space-a po ASCII tabeli

    for(i = 0; i <= x; i++)
    {
        if(a[i] == b[i])
            resenje += a[i] + b[i];//Konkatuje na resenje
        if(a[i] > b[i])
            resenje += a[i];//Konkatuje na resenje
        if(a[i] < b[i])
            resenje += b[i];//Konkatuje na resenje
    }

    printf("%s\n", resenje);

    return 0;
}